/**
 * Formats the given string or number into a currency
 * @param {string | number} data - the data you want to format, this can be a string or number
 * @returns {string} - returns a string formatted to the specified currency
 */
export function Currency(data: string | number, digitsAfterDecimal: number = 2, currencyType: "USD" | "CAD" = "USD") {
    const formatter = new Intl.NumberFormat("en-US", {
        style: "currency",
        currency: currencyType,
        minimumFractionDigits: digitsAfterDecimal,
        maximumFractionDigits: digitsAfterDecimal,
    });
    return formatter.format(parseFloat(data.toString()));
}
